Subject: Re: bug#57449: 29.0.50; does not show "more Fonts" "By Family" when setting default font via menu "Options" --> "Set Default Font..."

From: Po Lu <[email-masked]>
Date: Sun, 28 Aug 2022 18:56:18 +0800

Gregor Zattler <[email-masked]> writes:

> OK, I see, I had >1800 noto font files installed.  I purged
> them, now fc-cache reports on 110 font directories, which
> contain 953 files from which there are 189 truetype files.
> Is this considered many nowadays?
>
> Now the font selection was visible.  It fills the full
> height of my 4K monitor but I have the impression it does
> not show all fonts (see below).
>
> In order to achieve a visible change of my default font I
> choose Microsoft Comic Sans.  But nothing happens, I still
> see fira code.

I think some of the panes are being mapped outside the bounds of your
monitor, so you can't see them.

The really important thing here is how many font families you have
installed; the variants are displayed as entires in a pane, representing
one font family.

> I reinstalled all noto fonts and strange enough this time I
> see menus, but only some of the noto fonts.  I assume there
> are more noto fonts, but I cannot see a font which is not
> noto.  I assume that is, because of the stacked nature of
> the layout of the menu there is not enough space on my 4K
> monitor for all the fonts.
>
> I wished for a font selection where I can choose among
> rendered fonts and their attributes and see the effect of my
> decisions before applying them.

I will try to work on that, but am still rather preoccupied ATM.

Thanks.